Skip to main content
Posts

Get a single post by ID

GET/v1/posts/{postId}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

postId*string

Post identifier

Response Body

application/json

application/json

curl -X GET "https://api.postpeer.dev/v1/posts/string"
{
  "success": true,
  "post": {
    "postId": "string",
    "content": "string",
    "status": "draft",
    "scheduledFor": "2019-08-24T14:15:22Z",
    "timezone": "string",
    "mediaItems": [
      {
        "type": "image",
        "url": "string",
        "filename": "string",
        "size": 0,
        "mimeType": "string"
      }
    ],
    "platforms": [
      {
        "platform": "twitter",
        "status": "draft",
        "platformPostId": "string",
        "platformPostUrl": "string",
        "publishedAt": "2019-08-24T14:15:22Z",
        "errorMessage": "string"
      }
    ],
    "crosspostingEnabled": true,
    "rawRequestBody": {},
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": true,
  "message": "string"
}